<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<script type="text/javascript">
		
	//let a="ejemplo de clase"; dato primitivo de tipo string
	//let b=new String("solución"); //objeto de tipo string

	
	//Lo siguiente son dos objetos (uno JSON y otro objeto general)
	//Si quiero crear dos profesores tengo que repetirlo todo (no tengo hecha una plantilla)
	let profesor1=new Object();
	profesor1.nombre="Pepe";
	profesor1.apellido="Gómez";

	//Si quiero crear dos profesores tengo que repetirlo todo (no tengo hecha una plantilla)
	let profesor2={
	nombre:"Mario",
	apellido:"Pérez"
	}


	//Lo siguiente son clases

	//Para crear una clase en Javascript
	//Este es el prototipo para luego hacer personas de esta clase

	let Persona=function() {
		this.nombre="";
		this.apellidos="";
		this.edad=0;

	};

	//Creo dos alumnos de tipo Persona
	let alumno1=new Persona();
	alumno1.nombre="Chisco";
	let alumno2=new Persona();
	alumno2.nombre="Mariana";

	//Creo dos alumnos de tipo Persona



	</script>
</head>
<body>
	
</body>
</html>